This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 865741 (CVE-2012-4513)

Summary: CVE-2012-4513 kdelibs: Heap-based buffer over-read when calculating dimensions of the canvas within the scale loop
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: dvratil, jgrulich, security-response-team, than
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20121030,reported=20121011,source=oss-security,cvss2=5.8/AV:N/AC:M/Au:N/C:P/I:N/A:P,rhel-5/kdelibs=notaffected,rhel-6/kdelibs=affected,fedora-all/kdelibs=notaffected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-08-22 02:01:56 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 866228, 866230    
Bug Blocks: 865878    
Attachments:
Description Flags
Patch that should fix this bug none

Description Jan Lieskovsky 2012-10-12 05:56:15 EDT
A heap-based buffer over-read flaw was found in the way scaledimageplane, large image displaying library of KDE libraries, performed calculation of dimensions for the canvas for large images with very high ratios. A remote attacker could provide a specially-crafted web page that, when opened in an application linked against KDE libraries (such as konqueror), would lead to that application crash or, potentially, disclose portions of its memory (the latter being 32-bit architectures specific).

Upstream patch:
[1] http://quickgit.kde.org/index.php?p=kdelibs.git&a=commitdiff&h=1f8b1b034ccf1713a5d123a4c327290f86d17d53

References:
[2] http://www.openwall.com/lists/oss-security/2012/10/10/11
[3] http://www.openwall.com/lists/oss-security/2012/10/11/11
Comment 1 Jan Lieskovsky 2012-10-12 06:03:56 EDT
This issue did NOT affect the version of the kdelibs package, as shipped with Red Hat Enterprise Linux 5.

--

This issue affects the version of the kdelibs package, as shipped with Red Hat Enterprise Linux 6.

--

This issue did NOT affect the versions of the kdelibs package, as shipped with Fedora release of 16 and 17 (as they are already updated with aforementioned upstream patch).
Comment 5 Jan Grulich 2012-10-15 07:10:12 EDT
Created attachment 627303 [details]
Patch that should fix this bug
Comment 6 Vincent Danen 2012-10-30 12:27:55 EDT
This is now public:

http://seclists.org/oss-sec/2012/q4/171
Comment 7 errata-xmlrpc 2012-10-30 13:16:10 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1416 https://rhn.redhat.com/errata/RHSA-2012-1416.html
Comment 8 errata-xmlrpc 2012-10-30 13:36:28 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1418 https://rhn.redhat.com/errata/RHSA-2012-1418.html